      SUBROUTINE oldCMA_GET_ADDRESS(kunit,kret)
      implicit none
      integer, intent(in) :: kunit
      integer, intent(out):: kret
c     Sami Saarinen, ECMWF, 12/11/97 : gradually becomes obsolete
! === END OF INTERFACE BLOCK ===
      integer iret_pbio
      integer nobytes
      real zitem
      
      inquire(iolength=nobytes) zitem
      if (nobytes /= 8) then
         kret = -3
         return
      endif

      call PBSEEK(kunit, 0, 1, iret_pbio) ! Get current position in bytes

      if (iret_pbio >= 0) then
         if (mod(iret_pbio,nobytes) == 0) then ! Check against word bdry
            kret = iret_pbio/nobytes
         else
            kret = -4
         endif
      else
         kret = iret_pbio
      endif

      return
      END SUBROUTINE oldCMA_GET_ADDRESS
